%define libtoolize :

Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext
Version: 0.11.1
Release: 1.3.1
License: GPL/LGPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
URL: http://www.gnu.org/software/gettext/
Source1: po-mode-init.el
Patch0: gettext-0.10-misc.patch
Patch1: gettext-0.10.35-jbj.patch
Patch2: gettext-0.10.35-arm.patch
Patch3: gettext-0.10.35-hacks.patch
Patch4: gettext-0.10.35-aclocaldir.patch
Patch5: gettext-0.10.35-buildroot.patch
Patch6: gettext-0.10.35-destdir.patch
Patch7: gettext-0.10.35-drepper.patch
Patch8: gettext-0.10.35-oka-plus.patch
Patch10: gettext-0.11.1-c99.patch
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%prep
rm -rf %{buildroot}
%setup -q
%patch1 -p1
#%patch4 -p1
%patch10 -p1

%build
[ -f  /usr/share/automake/depcomp ] && cp -f /usr/share/automake/{depcomp,ylwrap} . || :
%configure --disable-shared --with-included-gettext
make

%install
rm -rf %{buildroot}

# Fix busted no-emacs install for $lispdir/po-mode.el
%makeinstall lispdir=%{buildroot}/usr/share/emacs/site-lisp \
    aclocaldir=%{buildroot}/usr/share/aclocal
    
mkdir -p %{buildroot}/bin
mv %{buildroot}/%{_bindir}/gettext %{buildroot}/bin
ln -s ../../bin/gettext %{buildroot}/%{_bindir}/gettext

pushd %{buildroot}
rm -f .%{_infodir}/dir .%{_includedir}/libintl.h
popd

pushd %{buildroot}/%{_datadir}/locale
for foo in `find . -maxdepth 1 -mindepth 1 -type d` ; do
  lang=`echo $foo | cut -c 3-`
  echo "%lang($lang) %{_datadir}/locale/$foo/*/*" >> \
    $RPM_BUILD_DIR/%{name}-%{version}/trans.list
done
popd

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gettext.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gettext.info.gz %{_infodir}/dir
fi
exit 0

%files -f trans.list
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING DISCLAIM README
%doc NEWS THANKS TODO 
/bin/*
/usr/bin/*
%{_infodir}/*
%{_mandir}/*/*
#%config %{_libdir}/charset.alias
%{_datadir}/gettext
%{_datadir}/aclocal/*

# These aren't in glibc...
%dir /usr/share/locale/en@boldquot
%dir /usr/share/locale/en@boldquot/LC_MESSAGES
%dir /usr/share/locale/en@quot
%dir /usr/share/locale/en@quot/LC_MESSAGES

%changelog
* Tue Apr 15 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.11.1, Release 1.3.1
  - Remove msghack (and python dependancy).
  
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
